<template>
  <div class="container">
    <div class="row">
      <div class="col-sm-12 bootstrap snippets">
        <div class="panel-body linha">
          <textarea
            class="form-control"
            rows="2"
            type="text"
            id="questao"
            v-model="quest.questao"
            placeholder="Faça perguntas e Tire suas duvidas..."
          ></textarea>
          <div class="mar-top clearfix">
            <button
              @click.prevent="enviaDados"
              class="btn-dark btn-sm btn-primary pull-right"
              type="submit"
            >
              <b-icon icon="plus" font-scale="1">></b-icon> Publicar
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      quest: {
        questao: null,
      },
    };
  },
  methods: {
    enviaDados() {
      if (localStorage.getItem("token")) {
        axios
          .post(
            `${this.$urlAPI}/quest/${localStorage.getItem("idU")}`,
            this.quest,
            {
              headers: {
                Authorization: `Bearer ${localStorage.getItem("token")}`,
              },
            }
          )
          .then((response) => {
            if (response.data.erro == "true") {
              alert(response.data.msg);
            }
            if (response.data.erro == "false") {
              this.$atualiza = '1'
              this.quest = {};
              alert("Questão Cadastrada com Sucesso!!!");
              window.location.reload()
            }
          });
      }
    },
  },
};
</script>

<style scoped>
#questao {
  border: 1px groove rgb(56, 56, 56);
}
</style>